Domainnamen
GET https://uptime.condoo.systems/api/domain-names/
curl --request GET \
--url 'https://uptime.condoo.systems/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.condoo.systems/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Die Suchanfrage. |
| search_by | Optional String | Nach welchem Feld suchst du? Erlaubte Werte sind: name, target. |
| is_enabled | Optional Boolean | |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. |
| page | Optional Zahl | Die Seitenzahl, von der du die Ergebnisse haben möchtest. Standardmäßig ist sie 1. |
| results_per_page | Optional Zahl | Wie viele Ergebnisse möchtest du pro Seite sehen? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-03 00:03:59"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptime.condoo.systems/api/domain-names?page=1",
"last": "https://uptime.condoo.systems/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptime.condoo.systems/api/domain-names?page=1"
}
}
GET https://uptime.condoo.systems/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptime.condoo.systems/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.condoo.systems/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-03 00:03:59"
}
}
POST https://uptime.condoo.systems/api/domain-names
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| target | Erforderlich String | - |
| project_id | Optional Zahl | - |
| whois_notifications | Optional Array | Notification handler ids |
| whois_notifications_timing | Optional Zahl | Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage) |
| ssl_notifications | Optional Array | Notification handler ids |
| ssl_notifications_timing | Optional Zahl | Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage) |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://uptime.condoo.systems/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime.condoo.systems/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": null,
"whois_notifications": [],
"ssl": null,
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-03 00:03:59"
}
}
POST https://uptime.condoo.systems/api/domain-names/{domain_name_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional String | - |
| target | Optional String | - |
| project_id | Optional Zahl | - |
| whois_notifications | Optional Array | Notification handler ids |
| whois_notifications_timing | Optional Zahl | Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage) |
| ssl_notifications | Optional Array | Notification handler ids |
| ssl_notifications_timing | Optional Zahl | Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage) |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://uptime.condoo.systems/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime.condoo.systems/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-03 00:03:59"
}
}
DELETE https://uptime.condoo.systems/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptime.condoo.systems/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.condoo.systems/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \